<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/14/2005 *
 * ================                             Last change: 01/14/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-usr_online.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Who is where? (DO NOT add sub menus!)            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Wer ist wo? (KEINE Untermenues anhaengen!)       *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

if (EXT_IS_ACTIVE("online", true))
{
	// Count guests, members and admins
	$result_guests  = SQL_QUERY("SELECT id FROM "._MYSQL_PREFIX."_online WHERE is_admin='N' AND is_member='N'", __FILE__, __LINE__);
	$result_members = SQL_QUERY("SELECT id FROM "._MYSQL_PREFIX."_online WHERE is_admin='N' AND is_member='Y'", __FILE__, __LINE__);
	$result_admins  = SQL_QUERY("SELECT id FROM "._MYSQL_PREFIX."_online WHERE is_admin='Y'", __FILE__, __LINE__);

	// Remember values for the template
	define('_GUESTS_ONLINE' , SQL_NUMROWS($result_guests));
	define('_ADMINS_ONLINE' , SQL_NUMROWS($result_admins));
	define('_MEMBERS_ONLINE', SQL_NUMROWS($result_members));

	// Free memory
	SQL_FREERESULT($result_guests);
	SQL_FREERESULT($result_admins);
	SQL_FREERESULT($result_members);

	// Load template
	LOAD_TEMPLATE("admin_mini_online");

	// Check for online users
	$result = SQL_QUERY("SELECT id, ip, userid, refid, module, action, what, is_member, is_admin, timestamp FROM "._MYSQL_PREFIX."_online ORDER by timestamp DESC", __FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0)
	{
		// Load header template
		LOAD_TEMPLATE("admin_online_header");

		// List all online users
		$SW = 2;
		while (list($id, $ip, $uid, $ref, $mod, $act, $wht, $mem, $admin, $time) = SQL_FETCHROW($result))
		{
			if (empty($act)) $act = "---";
			if (empty($wht))   $wht = "---";

			if ($admin == "Y")
			{
				// Is an administrator
				$uid = _IS_ADMIN;
			}
			 elseif (($mem == "N") && ($admin == "N"))
			{
				// Is a guest
				$uid = _IS_GUEST;
			}
			OUTPUT_HTML("<TR>
  <TD align=\"center\" width=\"5%\" class=\"switch_sw".$SW." bottom right\">".$id."</TD>
  <TD align=\"center\" width=\"15%\" class=\"switch_sw".$SW." bottom right\">");
			if ($uid > 0)
			{
				OUTPUT_HTML(ADMIN_USER_PROFILE_LINK($uid));
			}
			 else
			{
				OUTPUT_HTML($uid);
			}
			if ($ref > 0)
			{
				$ref = ADMIN_USER_PROFILE_LINK($ref);
			}
			OUTPUT_HTML("</TD>
  <TD align=\"center\" width=\"10%\" class=\"switch_sw".$SW." bottom right\">".$ip."</TD>
  <TD align=\"center\" width=\"5%\" class=\"switch_sw".$SW." bottom right\">".$ref."</TD>
  <TD align=\"center\" width=\"10%\" class=\"switch_sw".$SW." bottom right\">".$mod."</TD>
  <TD align=\"center\" width=\"10%\" class=\"switch_sw".$SW." bottom right\">".$act."</TD>
  <TD align=\"center\" width=\"5%\" class=\"switch_sw".$SW." bottom right\">".$wht."</TD>
  <TD align=\"center\" width=\"10%\" class=\"switch_sw".$SW." bottom\">".MAKE_DATETIME($time, "2")."</TD>
</TR>");
			$SW = 3 - $SW;
		}

		// Free memory
		SQL_FREERESULT($result);

		// Load footer template
		define('__FANCY_ONLINE_TIMEOUT', CREATE_FANCY_TIME(getConfig('online_timeout')));
		LOAD_TEMPLATE("admin_online_footer");
	}
}
 else
{
	// Online statistics deactivated!
	LOAD_TEMPLATE("admin_settings_saved", false, ONLINE_STATISTICS_DEACTIVATED);
}
//
?>
